/************************************************************************/
/*																		*/
/*	DPG1.h	--	Declaration for DPG1 library 	    					*/
/*																		*/
/************************************************************************/
/*	Author:		Eric Marsh												*/
/*	Copyright 2016, Digilent Inc.										*/
/************************************************************************/
/*  File Description:													*/
/*	This file declares the PmodDPG1 library functions and the constants	*/
/*	involved.															*/
/*																		*/
/************************************************************************/
/*  Revision History:													*/
/*																		*/
/*	06/23/2016(EricM): created											*/
/*																		*/
/************************************************************************/
#if !defined(DPG1_H)
#define DPG1_H


/* ------------------------------------------------------------ */
/*				Include File Definitions						*/
/* ------------------------------------------------------------ */
#include <inttypes.h>
#include <DSPI.h>

/* ------------------------------------------------------------ */
/*					Definitions									*/
/* ------------------------------------------------------------ */

#define DPG1_SPI_FREQ	1000000 // 1 MHz - default spi freq
#define	PAR_ACCESS_SPI0			0
#define	PAR_ACCESS_SPI1			1

#define KPA_PRESSURE_TYPE		0
#define ATM_PRESSURE_TYPE		1
#define PSI_PRESSURE_TYPE		2
#define INH20_PRESSURE_TYPE		3
#define CMH20_PRESSURE_TYPE		4
#define MMHG_PRESSURE_TYPE		5



/* ------------------------------------------------------------ */
/*					Errors Definitions							*/
/* ------------------------------------------------------------ */



/* ------------------------------------------------------------ */
/*					Procedure Declarations						*/
/* ------------------------------------------------------------ */


class DPG1 {
private: 
	DSPI *pdspi;
	uint8_t m_SSPin;
	uint8_t default_type;

public:
	DPG1();
	void begin(uint8_t bAccessType, uint32_t spd = DPG1_SPI_FREQ, uint8_t p_type = 0);
	int ReadNozzle();
	double GetPressure(int pType = -1);
};

#endif
